Bug 111237 - rhn_register unable to send collected data to rhn server
rhn_register unable to send collected data to rhn server
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-01 01:44 EST by Yahia Merchaoui
Modified: 2007-04-18 12:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-26 17:19:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yahia Merchaoui 2003-12-01 01:44:12 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1)
Gecko/20030225

Description of problem:
After installing the shrike release of redhat linux, I tried to
configure rhn by launching /usr/bin/rhn_register as root. THe UI seems
to be hanging, 
Finally i got a message telling that rhn is unable to register
username and all fails with the trailing SSL error in the traces.


Version-Release number of selected component (if applicable):
up2date-3.1.23-1

How reproducible:
Always

Steps to Reproduce:
1. Install shrike release on a laptop (compaq evo N1020V)
2. Log in as a root
3. launch rhn_register
4. use an existing account or create a new account

Actual Results:  UI hanging and finally a message "Problem registering
username"

Expected Results:  Connecting to rhn server to check available
packages to update.

Additional info:

Many error traces in the console:

Traceback (most recent call last):
  File "/usr/share/rhn/up2date_client/gui.py", line 405, in
onPrivacyPagePrepare
    text = rhnreg.privacyText()
  File "/usr/share/rhn/up2date_client/rhnreg.py", line 176, in privacyText
    return rpcServer.doCall(s.registration.privacy_statement)
  File "/usr/share/rhn/up2date_client/rpcServer.py", line 114, in doCall
    ret = apply(method, args, kwargs)
  File "/usr/lib/python2.2/xmlrpclib.py", line 821, in __call__
    return self.__send(self.__name, args)
  File "/usr/lib/python2.2/site-packages/rhn/rpclib.py", line 126, in
_request
    verbose=self._verbose
  File "/usr/lib/python2.2/site-packages/rhn/transports.py", line 130,
in request
    headers, fd = req.send_http(host, handler)
  File "/usr/lib/python2.2/site-packages/rhn/transports.py", line 614,
in send_http
    headers=self.headers)
  File "/usr/lib/python2.2/httplib.py", line 701, in request
    self._send_request(method, url, body, headers)
  File "/usr/lib/python2.2/httplib.py", line 723, in _send_request
    self.endheaders()
  File "/usr/lib/python2.2/httplib.py", line 695, in endheaders
    self._send_output()
  File "/usr/lib/python2.2/httplib.py", line 581, in _send_output
    self.send(msg)
  File "/usr/lib/python2.2/httplib.py", line 560, in send
    self.sock.sendall(str)
  File "/usr/lib/python2.2/site-packages/rhn/SSL.py", line 191, in write
    sent = self._connection.send(data)
SSL.Error: [('SSL routines', 'SSL3_GET_SERVER_CERTIFICATE',
'certificate verify failed')]
Comment 1 Scott 2004-10-11 01:40:13 EDT
I'm having the same issue. Is there a fix for this problem?
Comment 2 Scott 2005-05-25 18:29:42 EDT
(In reply to comment #1)
> I'm having the same issue. Is there a fix for this problem?

Yes, information about the fix is available under Bug# 103336.
The RPM to fix the problem can be downloaded at:
https://rhn.redhat.com/help/latest-up2date.pxt

Note You need to log in before you can comment on or make changes to this bug.